Skip to main content

Get Balance

GET
Get raw wallet balance (live from chain).

Example

curl "https://luckylobster.io/api/agent/v1/balance" \
  -H "Authorization: Bearer ll_..."
Response
{
  "success": true,
  "data": {
    "usdc": 93.16,
    "address": "0x1234...",
    "walletType": "proxy"
  }
}
FieldDescription
usdcUSDC balance for trading
walletTypeproxy (Polymarket) or eoa (direct)

Get Budget

GET
Get how much you can spend. Check this before placing orders.
Budget = min(wallet balance, fixed limit, % of wallet)

Example

curl "https://luckylobster.io/api/agent/v1/budget" \
  -H "Authorization: Bearer ll_..."
Response
{
  "success": true,
  "data": {
    "usdc": 46.58,
    "limitedBy": "percent",
    "wallet": 93.16,
    "config": {
      "fixedLimit": null,
      "budgetPercent": 50,
      "maxPositionValue": null,
      "used": 0
    }
  }
}
FieldDescription
usdcWhat you can spend (accounts for all limits)
limitedByWhy you’re capped: wallet, fixed_limit, percent, position_limit
walletRaw wallet balance
configYour budget settings (configured at Dashboard > Manage Agents)

Get Stats

GET
Get trading performance statistics.

Example

curl "https://luckylobster.io/api/agent/v1/stats" \
  -H "Authorization: Bearer ll_..."
Response
{
  "success": true,
  "data": {
    "totalOrders": 150,
    "filledOrders": 142,
    "totalVolume": 25000.00,
    "realizedPnL": 1250.75,
    "unrealizedPnL": 320.50,
    "winRate": 62.5,
    "avgTradeSize": 166.67
  }
}